Join Us and become a Member for a Verified Badge to access private areas with the latest PS4 PKGs.
PS5 CFW and Hacks       Thread starter PSXHAX       Start date Nov 23, 2021 at 5:45 AM       17      
Status
Not open for further replies.
Proceeding Inori's GPCS4 PS4 Emulator for PC, the PS4 / PS5 DevKit Leaks, Spine PS4 Emulator updates, RPCS4 PS4 Emulator in development and RPCS3 PS3 Emulator updates developer InoriRus recently added a Kyty PS4 and PS5 Emulator Project to Github with progress currently in the early stages. 🚧

Download: Kyty-v0.2.0.zip (15.5 MB) / Kyty-main.zip / fc_script.rar (69.08 MB - Pre-compiled, includes fc_script.exe) / GIT

This PlayStation 5 Scene emulation news comes after Video Game Emulators including Metal Gear (MSX) via WebMSX and Super Mario Bros in HTML5 running on PS5 alongside applications like RetroArch Web Player using the PS5 Web Browser... from the README.md: Kyty PS4 & PS5 emulator

The project is in its early stage.

Vladimir M

Licensed under the MIT license.

Graphics for PS5 is under development.

It is possible to run some simple games for PS4

There maybe graphics glitches, crashes, freezes and low FPS. It's OK for now.

Features that are not implemented:
  • Audio input/output
  • MP4 video
  • Network
  • Multi-user
Path to Savedata folder is hardcoded and can't be configured. System parameters (language, date format, etc.) are also hardcoded.

Screenshots

Kyty PS4 and PS5 Emulator Project in Development by InoriRus 2.png

Kyty PS4 and PS5 Emulator Project in Development by InoriRus 3.png

Kyty PS4 and PS5 Emulator Project in Development by InoriRus 4.png

Kyty PS4 and PS5 Emulator Project in Development by InoriRus 5.png

Building

Supported platforms:
  • Windows 10 x64
Toolchains:
  • Visual Studio + clang-cl + ninja
  • Eclipse CDT + mingw-w64 + gcc/clang + ninja/mingw32-make
Supported versions:

Tool Version
cmake 3.12
Visual Studio 2019 16.10.3
clang 12.0.1
clang-cl 11.0.0
gcc (MinGW-W64 x86_64-posix-seh) 10.2.0
ninja 1.10.1
MinGW-w64 8.0.0
Eclipse CDT 10.3.0
Qt 5.15.0
Define environment variable named Qt5_DIR pointing to the proper version of Qt

MSVC compiler (cl.exe) is not supported!

External dependencies:
  • Vulkan *** 1.2.198.1
  • Qt 5.15.0
Cheers to @zecoxao for the heads-up on this via Twitter earlier! 🍻
Kyty PS4 and PS5 Emulator Project in Development by InoriRus.jpg
 

Comments

CyB1K

Staff Member
Moderator
Developer
Senior Member
Verified
Thats exciting, give me RPCS5 :D
Still no clue about pkg decryption for it to work on emus tho lol
 

Ganger121

Senior Member
Contributor
Verified
This will need a very powerful pc to run a good quality game. I dont think my 10 year old pc would handle this. But great work
 
Status
Not open for further replies.
Top